Bug 830640 - [abrt] xpilot-ng-4.7.2-21.fc17: __GI_raise: Process /usr/bin/xpilot-ng-x11 was killed by signal 6 (SIGABRT)
Summary: [abrt] xpilot-ng-4.7.2-21.fc17: __GI_raise: Process /usr/bin/xpilot-ng-x11 wa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xpilot-ng
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:462a98b2b30340c61a0b1f2d6d1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-11 05:00 UTC by Owen Fitz
Modified: 2012-08-09 23:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-09 23:30:11 UTC


Attachments (Terms of Use)
File: backtrace (16.89 KB, text/plain)
2012-06-11 05:00 UTC, Owen Fitz
no flags Details
File: coredump (936.00 KB, text/plain)
2012-06-11 05:00 UTC, Owen Fitz
no flags Details
File: maps (5.33 KB, text/plain)
2012-06-11 05:00 UTC, Owen Fitz
no flags Details

Description Owen Fitz 2012-06-11 05:00:41 UTC
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xpilot-ng-x11
crash_function: __GI_raise
executable:     /usr/bin/xpilot-ng-x11
kernel:         3.4.0-1.fc17.i686
pid:            1654
pwd:            /home/owen
time:           Sun 10 Jun 2012 09:26:18 PM PDT
uid:            1000
username:       owen
var_log_messages: Jun 10 21:26:18 owenlaptop abrt[1657]: Saved core dump of pid 1654 (/usr/bin/xpilot-ng-x11) to /var/spool/abrt/ccpp-2012-06-10-21:26:18-1654 (958464 bytes)

backtrace:      Text file, 17298 bytes
maps:           Text file, 5461 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/owen/1

core_backtrace:
:741b026cb8260b7f9f82dbbdb072aa78a206633f 0x416 __kernel_vsyscall linux-gate.so.1 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x2e95f raise libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x302b3 abort libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x6c7b5 __libc_message libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x109d15 __fortify_fail libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x107d6a __chk_fail libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x107438 _IO_str_chk_overflow libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x708ee _IO_default_xsputn_internal libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x427ba vfprintf libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x10750c __vsprintf_chk libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x10741f __sprintf_chk libc.so.6 -
:922706881d41db09d968e868e6d86d1919ff6b84 0x22b1a - [exe] -
:922706881d41db09d968e868e6d86d1919ff6b84 0x24854 - [exe] -
:922706881d41db09d968e868e6d86d1919ff6b84 0x26c6b - [exe] -
:922706881d41db09d968e868e6d86d1919ff6b84 0x2713e - [exe] -
:922706881d41db09d968e868e6d86d1919ff6b84 0x231d7 - [exe] -
:922706881d41db09d968e868e6d86d1919ff6b84 0x24ad3 - [exe] -
:922706881d41db09d968e868e6d86d1919ff6b84 0x3649 - [exe] -

dso_list:
:/usr/lib/libICE.so.6.3.0 libICE-1.0.8-1.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libSM.so.6.0.1 libSM-1.2.1-1.fc17.i686 (Fedora Project) 1337719197
:/usr/bin/xpilot-ng-x11 xpilot-ng-4.7.2-21.fc17.i686 (Fedora Project) 1339323167
:/usr/lib/libnss_dns-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1337719188
:/usr/lib/libX11.so.6.3.0 libX11-1.5.0-1.fc17.i686 (Fedora Project) 1339324008
:/usr/lib/libXext.so.6.4.0 libXext-1.3.1-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.7-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libnss_files-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libm-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libXxf86misc.so.1.1.0 libXxf86misc-1.0.3-3.fc17.i686 (Fedora Project) 1337719203
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libnss_myhostname.so.2 nss-myhostname-0.3-2.fc17.i686 (Fedora Project) 1337719224
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.13-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libexpat.so.1.6.0 expat-2.1.0-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libuuid.so.1.3.0 libuuid-2.21.2-1.fc17.i686 (Fedora Project) 1339317018
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libresolv-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.i686 (Fedora Project) 1339317075
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-2.fc17.i686 (Fedora Project) 1337719197

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=owenlaptop
:DM_CONTROL=/var/run/xdmctl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GNOME_KEYRING_CONTROL=/home/owen/.cache/keyring-4c6rhm
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=owen
:MAIL=/var/spool/mail/owen
:DESKTOP_SESSION=gnome
:PATH=/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/owen/.local/bin:/home/owen/bin
:QT_IM_MODULE=xim
:PWD=/home/owen
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=896
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/home/owen
:LOGNAME=owen
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Ztrpl1wBmz,guid=66c5bf81e56517bf4c467edb000002d1
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/owen
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/tmp/.Xauthnibmbb
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/898,unix/unix:/tmp/.ICE-unix/898
:SSH_AUTH_SOCK=/home/owen/.cache/keyring-4c6rhm/ssh
:GPG_AGENT_INFO=/home/owen/.cache/keyring-4c6rhm/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-xpilot-ng-x11.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1654

event_log:
:2012-06-10-21:27:47> Querying server settings
:2012-06-10-21:27:48  Preparing an archive to upload
:2012-06-10-21:27:48  Uploading 112256 bytes
:2012-06-10-21:27:49  Upload successful
:2012-06-10-21:27:49  Retrace job started
:2012-06-10-21:28:04  Analyzing crash data
:2012-06-10-21:28:15  Analyzing crash data
:2012-06-10-21:28:25  Analyzing crash data
:2012-06-10-21:28:36  Initializing virtual root
:2012-06-10-21:28:46  Initializing virtual root
:2012-06-10-21:28:57  Initializing virtual root
:2012-06-10-21:29:07  Initializing virtual root
:2012-06-10-21:29:17  Initializing virtual root
:2012-06-10-21:29:28  Initializing virtual root
:2012-06-10-21:29:38  Initializing virtual root
:2012-06-10-21:29:48  Initializing virtual root
:2012-06-10-21:29:59  Generating backtrace
:2012-06-10-21:30:09  Retrace job finished successfully
:2012-06-10-21:33:43> Element 'xsession_errors' saved
:2012-06-10-21:33:45> Smolt profile successfully saved
:2012-06-10-21:58:52> Empty login or password, please check your configuration
:2012-06-10-21:58:52* (exited with 1)
:2012-06-10-21:59:11> Element 'xsession_errors' saved
:2012-06-10-21:59:12> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 13784                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       13784                13784                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/owen/.xsession-errors
:2:/home/owen/.xsession-errors
:3:socket:[33060]

smolt_data:
:
:
:General
:=================================
:UUID: 67a19545-fa86-4da2-bc76-338fc4713601
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4510.42
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P7550  @ 2.26GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2261
:System Memory: 1739
:System Swap: 3487
:Vendor: Apple Inc.
:System: MacBook6,1 1.0
:Form factor: Notebook
:Kernel: 3.4.0-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:2752:4318:52089) pci, snd_hda_intel, MULTIMEDIA, MCP79 High Definition Audio
:(5348:17235:4203:147) pci, bcma-pci-bridge, NETWORK, BCM43224 802.11a/b/g/n
:(4318:2727:4318:52089) pci, ohci_hcd, USB, MCP79 OHCI USB 1.1 Controller
:(4318:2729:4318:52089) pci, ehci_hcd, USB, MCP79 EHCI USB 2.0 Controller
:(4318:2731:4318:52089) pci, None, PCI/PCI, MCP79 PCI Bridge
:(4318:2723:4318:52089) pci, None, PROCESSOR, MCP79 Co-processor
:(4318:2712:4318:52089) pci, None, RAM, N/A
:(4318:2724:0:0) pci, None, RAM, MCP79 Memory Controller
:(4318:2734:4318:52089) pci, None, PCI/ISA, MCP79 LPC Bridge
:(4318:2697:0:0) pci, None, RAM, MCP79 Memory Controller
:(4318:2722:4318:52089) pci, nForce2_smbus, SERIAL, MCP79 SMBus
:(4318:2741:4318:52089) pci, ahci, STORAGE, MCP79 SATA Controller
:(4318:2147:4203:189) pci, nouveau, VIDEO, C79 [GeForce 9400M]
:(4318:2725:4318:52089) pci, ohci_hcd, USB, MCP79 OHCI USB 1.1 Controller
:(4318:2726:4318:52089) pci, ehci_hcd, USB, MCP79 EHCI USB 2.0 Controller
:(4318:2720:4318:0) pci, None, PCI/PCI, MCP79 PCI Express Bridge
:(4318:2758:4318:0) pci, pcieport, PCI/PCI, MCP79 PCI Express Bridge
:(4318:2690:0:0) pci, None, HOST/PCI, MCP79 Host Bridge
:(4318:2696:0:0) pci, None, RAM, MCP79 Memory Controller
:(4318:2736:4318:52089) pci, forcedeth, ETHERNET, MCP79 Ethernet
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_owenlaptop-lv_root / ext4 4096 4096 13092922 11200994 11069961 3276800 3029247 3029247
:/dev/sda1 /boot ext4 1024 1024 508745 425602 400002 128016 127624 127624
:/dev/mapper/vg_owenlaptop-lv_home /home ext4 4096 4096 46856888 45319478 42973699 11730944 11727726 11727726
:

xsession_errors:
:xpilot-ng-x11: ERROR: Xpilotrc_read: Failed to open file "/home/owen/.xpilotrc": (No such file or directory)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for gameFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for messageFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for scoreListFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for buttonFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for textFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--15-*-*-*-c-*-iso8859-1' for talkFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for motdFont, using default font: (Resource temporarily unavailable)
:*** buffer overflow detected ***: xpilot-ng-x11 terminated
:xpilot-ng-x11[0x806ab1a]
:xpilot-ng-x11[0x806c854]
:xpilot-ng-x11[0x806ec6b]
:xpilot-ng-x11[0x806f13e]
:xpilot-ng-x11[0x806b1d7]
:xpilot-ng-x11[0x806cad3]
:xpilot-ng-x11[0x804b649]
:xpilot-ng-x11[0x804b6d9]
:08048000-080b0000 r-xp 00000000 fd:01 24201      /usr/bin/xpilot-ng-x11
:080b0000-080b1000 r--p 00068000 fd:01 24201      /usr/bin/xpilot-ng-x11
:080b1000-080bd000 rw-p 00069000 fd:01 24201      /usr/bin/xpilot-ng-x11
:xpilot-ng-x11: ERROR: Xpilotrc_read: Failed to open file "/home/owen/.xpilotrc": (No such file or directory)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for gameFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for messageFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for scoreListFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for buttonFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for textFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--15-*-*-*-c-*-iso8859-1' for talkFont, using default font: (Resource temporarily unavailable)
:xpilot-ng-x11: ERROR: Couldn't find font '-*-fixed-bold-*-*--13-*-*-*-c-*-iso8859-1' for motdFont, using default font: (Resource temporarily unavailable)
:*** buffer overflow detected ***: xpilot-ng-x11 terminated
:xpilot-ng-x11[0x806ab1a]
:xpilot-ng-x11[0x806c854]
:xpilot-ng-x11[0x806ec6b]
:xpilot-ng-x11[0x806f13e]
:xpilot-ng-x11[0x806b1d7]
:xpilot-ng-x11[0x806cad3]
:xpilot-ng-x11[0x804b649]
:xpilot-ng-x11[0x804b6d9]
:08048000-080b0000 r-xp 00000000 fd:01 24201      /usr/bin/xpilot-ng-x11
:080b0000-080b1000 r--p 00068000 fd:01 24201      /usr/bin/xpilot-ng-x11
:080b1000-080bd000 rw-p 00069000 fd:01 24201      /usr/bin/xpilot-ng-x11

Comment 1 Owen Fitz 2012-06-11 05:00:47 UTC
Created attachment 590814 [details]
File: backtrace

Comment 2 Owen Fitz 2012-06-11 05:00:50 UTC
Created attachment 590815 [details]
File: coredump

Comment 3 Owen Fitz 2012-06-11 05:00:53 UTC
Created attachment 590816 [details]
File: maps

Comment 4 Hans de Goede 2012-07-29 13:49:24 UTC
Thanks for the bug report, I'm preparing a fix for this, an update  with this fix will become available soon.

Comment 5 Fedora Update System 2012-07-29 14:57:36 UTC
xpilot-ng-4.7.2-22.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xpilot-ng-4.7.2-22.fc17

Comment 6 Fedora Update System 2012-07-30 04:57:24 UTC
Package xpilot-ng-4.7.2-22.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xpilot-ng-4.7.2-22.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11257/xpilot-ng-4.7.2-22.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-08-09 23:30:11 UTC
xpilot-ng-4.7.2-22.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.